<?php 

/**
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('daily_diary_before_content_function')) {

	function daily_diary_before_content_function( $type = "post" ) {
		
		if ( 
			$type == 'post' && 
			( 
				daily_diary_setting('daily_diary_enable_post_author', true) || 
				daily_diary_setting('daily_diary_enable_post_date', true)
			)
		) :

			echo '<div class="post-meta">';

				if ( daily_diary_setting('daily_diary_enable_post_author', true) == true ) :
					
					echo '<span class="post-meta-author">';

						esc_html_e('Written by ','daily-diary');
						echo get_the_author_posts_link();

					echo '</span>';

				endif;

				if ( daily_diary_setting('daily_diary_enable_post_date', true) == true ) :
					
					echo '<span class="post-meta-date">';

						echo get_the_date();

					echo '</span>';

				endif;

			echo '</div>';

		endif;
		
		if ( ! daily_diary_is_single() ) {

			do_action('daily_diary_get_title', 'blog' ); 

		} else {

			if ( !daily_diary_is_woocommerce_active('is_cart') ) :
	
				if ( daily_diary_is_single() && !is_page_template() ) :
							 
					do_action('daily_diary_get_title', 'single');
							
				else :
					
					do_action('daily_diary_get_title', 'blog'); 
							 
				endif;
	
			endif;

		}

		if ( $type == 'post' ) :

			echo '<div class="post-meta">';

				if ( daily_diary_setting('daily_diary_enable_post_category', true ) == true ) :
					
					echo '<span class="post-meta-category">'; 

						the_category(' . '); 
					
					echo '</span>';
				
				endif;

				if ( daily_diary_setting('daily_diary_enable_post_icon', true ) == true ) :

					echo '<span class="post-meta-icon">'; 

						echo daily_diary_posticon();
					
					echo '</span>';
					
				endif;

			echo '</div>';

		endif;

	} 
	
	add_action( 'daily_diary_before_content', 'daily_diary_before_content_function' );

}

?>